# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2007-TODAY ASPerience SARL (<https://www.asperience.fr>).
#    All Rights Reserved
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
from osv import fields, osv

class account_invoice(osv.osv):
    _inherit = "account.invoice"
    
    def _add_missing_default_values(self, cr, uid, values, context=None):
        res = super(account_invoice, self)._add_missing_default_values(cr, uid, values, context=context)
        if 'origin' in res and res['origin'] and ('type' not in res or res['type'] in ('out_invoice','in_invoice')) and 'notmanual' not in values :
            res['notmanual'] = True
        else:
            res['notmanual'] = False
        return res
    
    def copy(self, cr, uid, id, default=None, context=None):
        if not default: default= {}
        default['notmanual'] = False
        return super(account_invoice, self).copy(cr, uid, id, default, context)
    
    _columns = {
        'notmanual': fields.boolean('Not Manual'),
    }
    _defaults = {
        'notmanual': lambda *a : False
    }
account_invoice()


# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
